## tcos 0.89.60-lliurex69

=== Makefile ===
##
##     TCOS Makefile
##
##    mariodebian \/at\/ gmail \/dot\/ com
ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)


all:
	$(MAKE) -C hex2ascii
	$(MAKE) -C xmlrpc
	$(MAKE) -C udev
	$(MAKE) -C lockscreen
	$(MAKE) -C tnc
	$(MAKE) -C dbus
	$(MAKE) -C session-cmd
	$(MAKE) -C tcos-standalone
	$(MAKE) -C tmixer

include common.mk


clean:
	@find * |grep "~" | xargs rm -rf --
	@rm -f build-stamp configure-stamp
	$(MAKE) -C hex2ascii  clean
	$(MAKE) -C xmlrpc     clean
	$(MAKE) -C udev       clean
	$(MAKE) -C lockscreen clean
	$(MAKE) -C tnc        clean
	$(MAKE) -C dbus       clean
	$(MAKE) -C session-cmd clean
	$(MAKE) -C tcos-standalone clean
	$(MAKE) -C tmixer      clean

gedit:
	gedit $(shell find bin/gentcos hooks-addons/ hooks/ scripts/ -type f|grep -v svn) >/dev/null 2>&1 &

boot_imgs:
	ppmtolss16 '#c0cfc0=7' < images/logo.ppm > tcos/logo.lss

distclean:
	find . -type f -name "*~" | xargs rm -rf --

config_svn:
	svn propedit svn:ignore .

install:
	#  Creating directories
	install -d $(DESTDIR)/$(TCOS_CONF)
	install -d $(DESTDIR)/$(TCOS_CONF)/ssl
	install -d $(DESTDIR)/$(TCOS_CONF)/hooks-addons/
	install -d $(DESTDIR)/$(TCOS_CONF)/conf.d/
	install -d $(DESTDIR)/$(TCOS_CONF)/secrets/
	install -d $(DESTDIR)/$(TCOS_DIR)
	install -d $(DESTDIR)/$(TCOS_DIR)/hooks
	install -d $(DESTDIR)/$(TCOS_DIR)/hooks-addons
	install -d $(DESTDIR)/$(TCOS_DIR)/scripts
	install -d $(DESTDIR)/$(TCOS_DIR)/inc
	install -d $(DESTDIR)/$(TFTP_DIR)
	install -d $(DESTDIR)/$(TCOS_BINS)
	install -d $(DESTDIR)/$(X11_CONF)

	install -m 644 ssl/openssl.cnf       $(DESTDIR)$(TCOS_CONF)/ssl/

	install -d $(DESTDIR)$(TCOS_CONF)/hacking
	install -d $(DESTDIR)$(TCOS_CONF)/pxelinux.d
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)$(TFTP_DIR)/pxelinux.cfg
	install -d $(DESTDIR)$(TFTP_DIR)/conf/

	install -d $(DESTDIR)$(TCOS_CONF)/hooks
	for i in `find scripts/ -type d`; do install -d $(DESTDIR)$(TCOS_CONF)/$$i; done
	
	for i in `find scripts/ -type d`; do install -d $(DESTDIR)$(TCOS_DIR)/$$i; done
	for i in `find hooks/ -type d`; do install -d $(DESTDIR)$(TCOS_DIR)/$$i; done

	install -d $(DESTDIR)/var/lib/tcos/isos

	install -m 644 xorgids/xorg.pciids $(DESTDIR)/$(TCOS_DIR)/inc/

	# FIXME this file isn't in Xorg 7.0 anymore???
	install -m 644 SecurityPolicy $(DESTDIR)/$(TCOS_CONF)

	install -m 644 tcos/default.tpl $(DESTDIR)$(TCOS_CONF)/pxelinux.cfg.tpl

	install -m 644 tcos/example.dual.server.conf $(DESTDIR)/$(TCOS_CONF)/pxelinux.d/example.dual.server.hook

	install -m 644 tcos/help.msg $(DESTDIR)$(TFTP_DIR)/
	install -m 644 tcos/help2.msg $(DESTDIR)$(TFTP_DIR)/
	install -m 644 tcos/tcos.msg $(DESTDIR)$(TFTP_DIR)/
	install -m 644 tcos/logo.lss $(DESTDIR)$(TFTP_DIR)/

	install -m 644 tcos/default.menu.tpl $(DESTDIR)$(TCOS_CONF)/pxelinux.menu.cfg.tpl
	install -m 644 tcos/pxetcos.jpg      $(DESTDIR)$(TFTP_DIR)/

	install -m 755 hooks/tcosmain $(DESTDIR)$(TCOS_CONF)/hooks/
	
	for i in `find scripts/ -type f`; do install -m 755 $$i $(DESTDIR)$(TCOS_DIR)/$$i; done
	for i in `find hooks/ -type f`; do install -m 755 $$i $(DESTDIR)$(TCOS_DIR)/$$i; done
	for i in `find hooks-addons/ -maxdepth 1 -type f`; do install -m 644 $$i $(DESTDIR)$(TCOS_DIR)/$$i; done

	# delete tcosmain from initramfs-tools-tcos/hooks/
	rm -rf $(DESTDIR)$(TCOS_DIR)/hooks/tcosmain
	chmod -x $(DESTDIR)$(TCOS_DIR)/scripts/tcos


	install -m 640 conf/tcos.conf.etc $(DESTDIR)$(TCOS_CONF)/tcos.conf
	sed -i 's/__TCOS_DEFAULT_KERNEL__/$(TCOS_DEFAULT_KERNEL)/g' $(DESTDIR)$(TCOS_CONF)/tcos.conf

	install -m 644 conf/version.conf $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__TCOS_VERSION__/$(VERSION)/g'       $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__TCOS_DISTRO__/$(DISTRO_VERSION)/g' $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__DISTRIBUTION__/$(DISTRO)/g' $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__TCOS_ARCH__/$(TCOS_ARCH)/g'        $(DESTDIR)$(TCOS_CONF)/version.conf


	# tcos.conf templates
	install -d $(DESTDIR)$(TCOS_DIR)/templates/
	install -d $(DESTDIR)$(TCOS_CONF)/templates/
	install -m 644 conf/branding-pxelinux.info             $(DESTDIR)$(TCOS_CONF)/templates/

	# copy tcos.conf to have a default config
	install -m 644 conf/base.conf     $(DESTDIR)$(TCOS_DIR)/templates/base.conf
	#install -m 644 conf/tcos.conf.all $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.all
	#install -m 644 conf/tcos.conf.low $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.low
	#install -m 644 conf/tcos.conf.nfs $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.nfs
	#install -m 644 conf/tcos.conf.light $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.light


	install -m 644 conf/tcos-modules.conf $(DESTDIR)$(TCOS_DIR)/tcos-modules.conf

	install -m 644 conf/tcos-generation-functions.sh $(DESTDIR)$(TCOS_DIR)/tcos-generation-functions.sh
	install -m 644 conf/tcos-run-functions.sh        $(DESTDIR)$(TCOS_DIR)/tcos-run-functions.sh
	install -m 644 conf/branding.info                $(DESTDIR)$(TCOS_CONF)/conf.d/

	install -m 644 conf/80export_pulseaudio  $(DESTDIR)$(X11_CONF)/

	install -m 644 conf/initramfs.conf $(DESTDIR)$(TCOS_CONF)/initramfs.conf
	install -m 644 conf/template $(DESTDIR)$(TCOS_CONF)/hacking/template
	install -m 644 grub/menu.lst-tcos $(DESTDIR)$(TCOS_CONF)/menu.lst-tcos

	install -m 644 images/logo.xpm.gz $(DESTDIR)$(TCOS_DIR)/logo.xpm.gz

	# gentcos build script
	install -m 755 bin/gentcos            $(DESTDIR)/usr/sbin/gentcos
	install -m 755 bin/tcos-buildchroot   $(DESTDIR)/usr/sbin/tcos-buildchroot
	install -m 755 bin/tcos-gdm-autologin $(DESTDIR)/usr/sbin/tcos-gdm-autologin

	install -m 755 bin/configurexorg   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/seq             $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_filesystem  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/cd_type         $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/installer.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/tryXorg.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 644 bin/set-limits      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/daemonize.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_xauth       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/clear-logs      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get-xdg-desktop   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/generate-ssl-certs   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/down-controller   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_server        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_server_teacher        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/clean_string.sh   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_vga_vendor    $(DESTDIR)/$(TCOS_BINS)/


	install -m 755 bin/tcos-bootchartd   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/tcos-genbootchart $(DESTDIR)/usr/bin/tcos-genbootchart

	install -m 644 conf/xorg.conf.tpl $(DESTDIR)$(TCOS_CONF)/xorg.conf.tpl

	install -d $(DESTDIR)/usr/bin

	$(MAKE) -C hex2ascii install DESTDIR=$(DESTDIR)

	# xmlrpc
	$(MAKE) -C xmlrpc install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

	# udev
	$(MAKE) -C udev install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) TCOS_BINS=$(TCOS_BINS)

	# lockscreen
	$(MAKE) -C lockscreen install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) TCOS_BINS=$(TCOS_BINS) PACKAGE=$(PACKAGE)

	# tcos net controller
	$(MAKE) -C tnc install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) TCOS_BINS=$(TCOS_BINS) PACKAGE=$(PACKAGE)

	# dbus conf file
	$(MAKE) -C dbus install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

	# session-cmd scripts
	$(MAKE) -C session-cmd install TCOS_BINS=$(TCOS_BINS) DESTDIR=$(DESTDIR)

	# tcos-standalone helper
	$(MAKE) -C tcos-standalone install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

	# tmixer
	$(MAKE) -C tmixer install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)


targz: clean
	rm -rf ../tmp 2> /dev/null
	mkdir ../tmp
	cp -ra * ../tmp
	rm -rf `find ../tmp/* -type d -name .svn`
	mv ../tmp ../initramfs-tools-tcos-$(VERSION)
	tar -czf ../initramfs-tools-tcos-$(VERSION).tar.gz ../initramfs-tools-tcos-$(VERSION)
	rm -rf ../initramfs-tools-tcos-$(VERSION)

tcos: clean
	rm -f ../tcos_*deb ../gentcos*deb ../initramfs-tools-tcos*deb ../tcos_*deb ../tcos-server-utils*deb
	debuild -us -uc; true
	sudo dpkg -i ../initramfs-tools-tcos*deb ../gentcos*deb ../tcos-server-utils*deb ../tcos_*deb

patch_version:
	# PATCHING VERSION
	sed -i 's/__VERSION__/$(VERSION)/g' tcos-standalone/tcos-standalone.py
	sed -i 's/__VERSION__/$(VERSION)/g' xmlrpc/sh/tcos-last
	sed -i 's/__VERSION__/$(VERSION)/g' xmlrpc/sh/tcos-ftpclient

patch_amd64:
	#
	#
	#     obsolete amd64 patch
	#
	#

=== daemonize/Makefile ===
all: compile


include ../common.mk

compile:
	gcc -Wall -O2 -ansi -pedantic daemon.c -o daemonize

clean:
	rm -f daemonize daemon *~

install:
	install -d $(DESTDIR)/$(TCOS_BINS)
	install -m 755 daemonize $(DESTDIR)/$(TCOS_BINS)/

=== lockscreen/Makefile ===
LOCK = lockscreen
XRES = screensize
LOCKVNC = lockvnc
LOCKVLC = lockvlc
WAITFORX = waitforX
SOURCES = lockscreen2.c
XRES_SOURCES = screensize.c
LOCKVNC_SOURCES = lockvnc.c
LOCKVLC_SOURCES = lockvlc.c
WAITFORX_SOURCES = waitforX.c
LIBS= -I/usr/lib
LOCKLIBS+=$(shell pkg-config --libs imlib2)
CFLAGS+=$(shell pkg-config --cflags imlib2)
LDADD+=-O2 -ansi -pedantic -Wall -lXaw $(LIBS) $(CFLAGS)
LDADD_WAITFORX+=-O2 -ansi -pedantic -Wall -lX11 $(LIBS)
CC=gcc


all: $(LOCK) $(XRES) $(LOCKVNC) $(LOCKVLC) $(WAITFORX)

include ../common.mk


$(LOCK):
	$(QUIET_CC)$(CC) $(SOURCES) $(LOCKLIBS) $(LDADD) -o $(LOCK)

$(XRES):
	$(QUIET_CC)$(CC) $(XRES_SOURCES) $(LDADD) -o $(XRES)

$(LOCKVNC):
	$(QUIET_CC)$(CC) $(LOCKVNC_SOURCES) $(LDADD) -o $(LOCKVNC)

$(LOCKVLC):
	$(QUIET_CC)$(CC) $(LOCKVLC_SOURCES) $(LDADD) -o $(LOCKVLC)

$(WAITFORX):
	$(QUIET_CC)$(CC) $(WAITFORX_SOURCES) $(LDADD_WAITFORX) -o $(WAITFORX)

clean:
	$(QUIET_CL)rm -f $(LOCK) $(XRES) $(LOCKVNC) $(LOCKVLC) $(WAITFORX) *~

debug: clean
	$(CC) $(SOURCES) $(LOCKLIBS) $(LDADD) -o $(LOCK) -DDEBUG=1
	$(CC) $(LOCKVNC_SOURCES) $(LDADD) -o $(LOCKVNC) -DDEBUG=1
	$(CC) $(LOCKVLC_SOURCES) $(LDADD) -o $(LOCKVLC) -DDEBUG=1

install:
	mkdir -p $(DESTDIR)/$(TCOS_BINS)
	mkdir -p $(DESTDIR)/$(PREFIX)/share/tcos-core/

	install -m 755 $(LOCK)        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(XRES)        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(LOCKVNC)   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(LOCKVLC)   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(WAITFORX)  $(DESTDIR)/$(TCOS_BINS)/
	install -m 644 lockscreen.png $(DESTDIR)/$(PREFIX)/share/tcos-core/lockscreen.png

=== tcos-standalone/Makefile ===
LANGUAGES=es ca@valencia pt_BR qcv

all: gmo

include ../common.mk

clean:
	$(QUIET_CL)rm -f *~ *glade.* *gladep*
	@for lang in $(LANGUAGES); do \
		echo "      **CLEANDIR** po/$$lang"; \
		rm -rf po/$$lang;\
	done

install:
	install -d $(DESTDIR)/$(PREFIX)/sbin
	install -m 755 tcos-standalone.py $(DESTDIR)/$(PREFIX)/sbin/tcos-standalone

	install -d $(DESTDIR)/$(PREFIX)/share/tcos-standalone
	install -d $(DESTDIR)/$(PREFIX)/share/tcos-standalone/images

	install -m 644 tcos-standalone.glade $(DESTDIR)/$(PREFIX)/share/tcos-standalone
	install -m 644 images/tcos-icon-32x32.png $(DESTDIR)/$(PREFIX)/share/tcos-standalone/images

	install -d $(DESTDIR)/$(PREFIX)/share/applications
	install -m 644 tcos-standalone.desktop $(DESTDIR)/$(PREFIX)/share/applications/

	# locales
	@for lang in $(LANGUAGES); do \
		install -d $(DESTDIR)/$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang/LC_MESSAGES/tcos-standalone.mo $(DESTDIR)/$(PREFIX)/share/locale/$$lang/LC_MESSAGES/tcos-standalone.mo; \
	done


pot:
	xgettext  -o po/tcos-standalone.pot --files-from=po/FILES


po:
	@for lang in $(LANGUAGES); do \
		echo " **PO** po/$$lang"; \
		if [ ! -f po/$$lang.po ]; then \
			msginit --input po/tcos-standalone.pot -o po/$$lang-old.po;\
		else \
			mv po/$$lang.po po/$$lang-old.po; \
		fi ; \
		msgmerge -o po/$$lang.po po/$$lang-old.po po/tcos-standalone.pot; \
		rm -f po/$$lang-old.po; \
	done

gmo:
	@echo " **COMPILING** languages: $(LANGUAGES)"
	@for lang in $(LANGUAGES); do \
		echo " **COMPILEMO** po/$$lang" ; \
		mkdir -p po/$$lang/LC_MESSAGES/; \
		msgfmt --verbose -o po/$$lang/LC_MESSAGES/tcos-standalone.mo po/$$lang.po; \
	done

=== tmixer/Makefile ===
DEBUGCFLAGS	+= -g -O2 -Wall
CFLAGS		+= -g -O2 -Wall
TVERSION	= -DTCOS_VERSION="\"$(VERSION)\""
LDADD		+= -lasound
bin_PROGRAMS = tmixer
TMIXER_SOURCES= tmixer-alsa.c tmixer-oss.c
CC=gcc

all: tmixer

tmixer: tmixer.c tmixer-oss.c tmixer-oss.h tmixer-alsa.c tmixer-alsa.h
	$(QUIET_CC)$(GCC) -o $(bin_PROGRAMS) tmixer.c $(LDADD) $(CFLAGS) $(TVERSION)

tmixer-alsa: tmixer-alsa.c tmixer-alsa.h
	$(QUIET_CC)$(GCC) -o $(bin_PROGRAMS) tmixer-alsa.c $(LDADD) $(CFLAGS) $(TVERSION)

tmixer-oss: tmixer-oss.c tmixer-oss.h
	$(QUIET_CC)$(GCC) -o $(bin_PROGRAMS) tmixer-oss.c $(LDADD) $(CFLAGS) $(TVERSION)


debug: tmixer.c tmixer-oss.c tmixer-oss.h tmixer-alsa.c tmixer-alsa.h
	$(CC) -o $(bin_PROGRAMS) tmixer.c $(LDADD) $(DEBUGCFLAGS) $(TVERSION)



include ../common.mk

clean:
	$(QUIET_CL)rm -f *~ $(bin_PROGRAMS) *.o

install:
	mkdir -p $(DESTDIR)/$(TCOS_BINS)
	install -m 755 $(bin_PROGRAMS)        $(DESTDIR)/$(TCOS_BINS)/

=== udev/Makefile ===
all: mount-listener

include ../common.mk


mount-listener:
	$(QUIET_CC)$(GCC) -Wall -O2 -o mount-listener mount_listener.c


install:
	install -d  $(DESTDIR)$(TCOS_XMLRPC_DIR)
	install -d  $(DESTDIR)$(TCOS_BINS)

	install -m 755 tcos-udevd.sh          $(DESTDIR)$(TCOS_BINS)/
	install -m 755 mount-listener         $(DESTDIR)$(TCOS_BINS)/
	install -m 755 listener-daemon.sh     $(DESTDIR)$(TCOS_BINS)/
	install -m 755 save-udev.sh           $(DESTDIR)$(TCOS_BINS)/
	install -m 644 050_tcos_devices.rules $(DESTDIR)$(TCOS_XMLRPC_DIR)/

clean:
	$(QUIET_CL)rm -f *.pyc *~ mount-listener proc_mounts

=== xmlrpc/Makefile ===
SERVER=tcosxmlrpc
STANDALONE=tcosxmlrpc-standalone
STANDALONE_SERVER=tcosxmlrpc-server
TCOSPASSWD=tcospasswd

all: message $(SERVER) $(STANDALONE) $(STANDALONE_SERVER) $(TCOSPASSWD)

include ../common.mk



TCOS_PATH:=/sbin
IS_STANDALONE:=0

ifneq ($(findstring $(IS_STANDALONE),1),1)
TXT = 
else
TXT = STANDALONE
endif

ifndef V
	QUIET_CC       = @echo '   $(TXT)'  CC    $@;
	QUIET_CL       = @echo '   $(TXT)'  CLEAN $@ `basename $(CURDIR)`;
	QUIET_LN       = @echo '   $(TXT)'  LINK  $@;
endif



XMLRPC_INC=$(shell xmlrpc-c-config --version)
XMLRPC_VERSION_MAYOR=$(shell xmlrpc-c-config --version| awk -F"." '{print $$1}')
XMLRPC_VERSION_MINOR=$(shell xmlrpc-c-config --version| awk -F"." '{print $$2$$3}'| cut -c-4| awk '{print int($$1)}')

CFLAGS+=-Wall -O2  `xmlrpc-c-config abyss-server --cflags`
#LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
## OLD gcc (lenny) don't work with -Wl,--as-needed
LDFLAGS+=-Wl,-z,defs -Wl,-O1 
LIBS+=`xmlrpc-c-config abyss-server --libs` -lcrypt -lX11

DEFINES:= -DVERSION=\"$(VERSION)\" -DXMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR) -DXMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)

#TEST_DEFINES=-DDEBUG -DVERSION=\"$(VERSION)\" -DBSIZE=512 -DVISIBLE_PASSWD -DXMLRPC_INC=$(XMLRPC_INC) -DXMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR) -DXMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)



SRCS	     := common.c \
		debug.c \
		devices.c \
		dpms.c \
		exe.c \
		get_screenshot.c \
		info.c \
		lockcontroller.c \
		lockscreen.c \
		login.c \
		pam-usb.c \
		pci.c \
		reboot_poweroff.c \
		rtp.c \
		simple-methods.c \
		sound.c \
		standalone.c \
		tnc.c \
		wine.c \
		validate.c \
		vlc.c \
		vnc.c \
		xauth.c \
		xorg.c \
		config.c \
		tcosxmlrpc.c

SRCS_SRV	:= common.c \
		debug.c \
		login.c \
		info_srv.c \
		standalone_srv.c \
		tnc.c \
		wine.c \
		validate.c \
		tcosxmlrpc-server.c


# deleted parts
#		screenshot.c \
#

OBJS		:= $(SRCS:.c=.o)
OBJS_SRV	:= $(SRCS_SRV:.c=.o)

message:
	@echo " * Building tcosxmlrpc"

cleanobjs:
	$(QUIET_CL)rm -f $(OBJS) $(OBJS_SRV)

%.o: %.c
	$(QUIET_CC)$(GCC) -c ${CFLAGS} -Wno-unused-function ${DEFINES} -DTCOS_PATH=\"$(TCOS_PATH)\" $< -o $@

$(SERVER): $(OBJS)
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(SERVER) $(CFLAGS) $(OBJS) $(LIBS)
	$(MAKE) cleanobjs

$(STANDALONE):
	$(MAKE) $(OBJS) TCOS_PATH=$(TCOS_BINS) IS_STANDALONE=1 CFLAGS+='-DIS_STANDALONE=1'
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(STANDALONE) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)
	$(MAKE) cleanobjs

$(STANDALONE_SERVER):
	$(MAKE) $(OBJS_SRV) TCOS_PATH=$(TCOS_BINS) IS_STANDALONE=1 CFLAGS+='-DIS_STANDALONE=1'
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(STANDALONE_SERVER) $(CFLAGS) $(LDFLAGS) $(OBJS_SRV) $(LIBS)
	$(MAKE) cleanobjs

$(TCOSPASSWD):
	$(QUIET_CC)$(GCC) $(DEFINES) $(CFLAGS) -o $(TCOSPASSWD) $(TCOSPASSWD).c -lcrypt



test2:
	@echo XMLRPC_INC=$(XMLRPC_INC)
	@echo XMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR)
	@echo XMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)


clean:
	$(QUIET_CL)rm -f $(OBJS) $(OBJS_SRV) $(SERVER) $(STANDALONE) $(STANDALONE_SERVER) $(TCOSPASSWD) var/log.txt var/log/* *~ image*.jpg image*png base64 sh/*~

install:
	install -d $(DESTDIR)/$(TCOS_BINS)
	install -d $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/
	install -d $(DESTDIR)/$(PREFIX)/sbin
    
	install -m 755 $(SERVER)       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(STANDALONE)   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(STANDALONE_SERVER)   $(DESTDIR)/$(TCOS_BINS)/

	install -m 755 $(TCOSPASSWD) $(DESTDIR)/$(PREFIX)/sbin/$(TCOSPASSWD)
	install -m 755 sh/update-tcospasswd.sh $(DESTDIR)/$(PREFIX)/sbin/update-tcospasswd
	
	# Install tcosxmlrpc utils
	install -m 755 sh/screenshot.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/soundctl.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/configctl.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/getinfo.sh       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/useallmodules.sh $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/devicesctl.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-dbus.py     $(DESTDIR)/$(TCOS_BINS)/tcos-dbus-helper
	install -m 755 sh/vnc-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/vlc-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/rtp-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/wine-controller     $(DESTDIR)/$(TCOS_BINS)/

	install -m 755 sh/lockscreen.sh     $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/lockvnc.sh     $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/lockvlc.sh     $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clone-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clonerecv          $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clonesend          $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-last          $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-ftpclient           $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/pactl-controller.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-pam-usb.sh    $(DESTDIR)/$(TCOS_BINS)/

	install -m 644 var/etc/mime.types  $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/


	install -m 644 var/etc/abyss.conf  $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/
	sed -i 's|__TCOS_ROOT__|/|g' $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/abyss.conf
	sed -i 's|__TCOS_WWW__|/var/www|g' $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/abyss.conf
	sed -i 's|__TCOS_LOG__|/var/log|g' $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/abyss.conf
	sed -i 's|__TCOS_ETC__|/etc|g' $(DESTDIR)/$(PREFIX)/share/initramfs-tools-tcos/xmlrpc/abyss.conf

	# standalone package
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/www
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/log


	install -m 644 var/etc/abyss.conf       $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_ROOT__|$(TCOS_STANDALONE_DIR)|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_WWW__|$(TCOS_STANDALONE_DIR)/www|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_LOG__|$(TCOS_STANDALONE_DIR)/log|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_ETC__|$(TCOS_STANDALONE_DIR)/etc|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf

	install -m 644 var/etc/mime.types       $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/

	# standalone-server package
	install -d $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)
	install -d $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc
	install -d $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/www
	install -d $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/log


	install -m 644 var/etc/abyss-server.conf       $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/abyss-standalone-server.conf
	sed -i 's|__TCOS_ROOT__|$(TCOS_STANDALONE_SERVER_DIR)|g' $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/abyss-standalone-server.conf
	sed -i 's|__TCOS_WWW__|$(TCOS_STANDALONE_SERVER_DIR)/www|g' $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/abyss-standalone-server.conf
	sed -i 's|__TCOS_LOG__|$(TCOS_STANDALONE_SERVER_DIR)/log|g' $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/abyss-standalone-server.conf
	sed -i 's|__TCOS_ETC__|$(TCOS_STANDALONE_SERVER_DIR)/etc|g' $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/abyss-standalone-server.conf

	install -m 644 var/etc/mime.types       $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/

	# stunnel4
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/lib/stunnel4/
	install -d $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/stunnel
	install -d $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/lib/stunnel4/

	install -m 644 var/etc/stunnel/stunnel.conf         $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel
	install -m 644 var/etc/stunnel/stunnel-server.conf  $(DESTDIR)/$(TCOS_STANDALONE_SERVER_DIR)/etc/stunnel
	install -m 644 var/etc/stunnel/stunnel-custom.conf  $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel

=== debian/changelog ===
tcos (0.89.60-lliurex69) unstable; urgency=low

  * Uinput module is added to tcos-modules.conf

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Fri, 11 Jan 2013 10:28:59 +0100

tcos (0.89.60-lliurex68) unstable; urgency=low

  * "uinput" module

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Tue, 19 Jun 2012 10:46:40 +0200

tcos (0.89.60-lliurex67) lucid; urgency=low

  * Version upgrade for if the flies

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Tue, 19 Jun 2012 10:44:44 +0200

tcos (0.89.60-lliurex66) unstable; urgency=low

  * minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 03 Apr 2012 12:00:03 +0200

tcos (0.89.60-lliurex65) unstable; urgency=low

  * fix pxe password 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 03 Apr 2012 11:34:39 +0200

tcos (0.89.60-lliurex64) unstable; urgency=low

  * bumped 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 30 Mar 2012 13:44:51 +0200

tcos (0.89.60-lliurex63) unstable; urgency=low

  * support live edition 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 27 Mar 2012 14:43:48 +0200

tcos (0.89.60-lliurex62) unstable; urgency=low

  * Refixed

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Thu, 23 Feb 2012 10:46:52 +0100

tcos (0.89.60-lliurex61) lucid; urgency=low

  * Uploaders Fixed
  * ToNemo

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Thu, 23 Feb 2012 10:41:28 +0100

tcos (0.89.60-lliurex60) unstable; urgency=low

  * fix bug on some screens 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 24 Oct 2011 09:30:02 +0200

tcos (0.89.60-lliurex59) unstable; urgency=low

  * Rebuild for Lliurex 11.09 

 -- Ignacio Vidal Hurtado <root@admin0-laptop>  Tue, 28 Jun 2011 12:06:39 +0200

tcos (0.89.60-lliurex58) unstable; urgency=low

  * update templates 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 16 Jun 2011 14:26:19 +0200

tcos (0.89.60-lliurex57) unstable; urgency=low

  * fix open files

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 06 Jun 2011 12:33:16 +0200

tcos (0.89.60-lliurex56) unstable; urgency=low

  * fix changelog 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 27 May 2011 14:43:57 +0200

tcos (0.89.60-lliurex55) unstable; urgency=low

  * minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 27 May 2011 14:24:07 +0200

tcos (0.89.60-lliurex54) unstable; urgency=low

  * add pulseaudio auth for teachers 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 27 May 2011 12:43:45 +0200

tcos (0.89.60-lliurex53) unstable; urgency=low

  * fix xmlrpc for semis

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 05 Apr 2011 18:08:04 +0200

tcos (0.89.60-lliurex52) unstable; urgency=low

  * fixes for displays 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 29 Mar 2011 16:00:05 +0200

tcos (0.89.60-lliurex51) unstable; urgency=low

  * fix lockscreen

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 28 Mar 2011 12:07:50 +0200

tcos (0.89.60-lliurex50) unstable; urgency=low

  * fix lockscreen sources 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 28 Mar 2011 11:36:39 +0200

tcos (0.89.60-lliurex49) unstable; urgency=low

  * add scripts for locks

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Fri, 25 Mar 2011 15:01:28 +0100

tcos (0.89.60-lliurex48) unstable; urgency=low

  * add stop service

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 24 Mar 2011 14:50:12 +0100

tcos (0.89.60-lliurex47) unstable; urgency=low

  * add route for broadcast 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 19:18:36 +0100

tcos (0.89.60-lliurex46) unstable; urgency=low

  * fix get server for teacher and tcos-last 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 16:46:39 +0100

tcos (0.89.60-lliurex45) unstable; urgency=low

  * update tcos-last for teachers 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 16:18:08 +0100

tcos (0.89.60-lliurex44) unstable; urgency=low

  * add xmlrpc for server 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Mon, 14 Mar 2011 14:36:06 +0100

tcos (0.89.60-lliurex43) unstable; urgency=low

  * fix ssh and local logins 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 24 Feb 2011 19:15:47 +0100

tcos (0.89.60-lliurex42) unstable; urgency=low

  * update modules conf 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Wed, 16 Feb 2011 13:04:12 +0100

tcos (0.89.60-lliurex41) unstable; urgency=low

  * update pxe parser  

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Wed, 09 Feb 2011 20:48:57 +0100

tcos (0.89.60-lliurex40) unstable; urgency=low

  * fix update template 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 13:15:03 +0100

tcos (0.89.60-lliurex38) unstable; urgency=low

  * another minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 12:33:20 +0100

tcos (0.89.60-lliurex37) unstable; urgency=low

  * minor fix 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 12:14:17 +0100

tcos (0.89.60-lliurex36) unstable; urgency=low

  * fix pxe regeneration 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 25 Jan 2011 11:27:43 +0100

tcos (0.89.60-lliurex35) unstable; urgency=low

  * fix parser

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 20 Jan 2011 09:51:16 +0100

tcos (0.89.60-lliurex34) unstable; urgency=low

  * update regenerate pxe 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Wed, 19 Jan 2011 11:06:20 +0100

tcos (0.89.60-lliurex33) unstable; urgency=low

  * redefine parse pxe

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Tue, 18 Jan 2011 15:36:17 +0100

tcos (0.89.60-lliurex32) unstable; urgency=low

  * fix bug for localboot 

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 02 Dec 2010 18:28:51 +0100

tcos (0.89.60-lliurex31) unstable; urgency=low

  * minor fix

 -- Ignacio Vidal Hurtado <vidal_joshur@gva.es>  Thu, 02 Dec 2010 17:59:34 +0100



=== debian/control ===
Source: tcos
Section: net
Priority: optional
Maintainer: Equipo LliureX <lliurex@gva.es>
XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Uploaders: Ignacio Vidal Hurtado <vidal_joshur@gva.es>, Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>, Raul Rodrigo Segura <lliurex_devel3@edu.gva.es>, David Montalva Furio <montalva_dav@gva.es>, Alfons Lloret Sananton <lliurex_devel5@edu.gva.es>, Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>, Hector Garcia Huerta <lliurex_devel1@edu.gva.es>, Jose Carlos Garcia Monsalvez <garcia_josmon@gva.es>, Jaime Munyoz Fayos <munyoz_jaifay@gva.es>, Francisco Antonino Daviu <antonino_fra@gva.es>, Miguel Garcia Gomez <garcia_miggom@gva.es>
Build-Depends: debhelper (>= 7.0.0), cdbs, libxmlrpc-c3-dev, libxau-dev, libxaw7-dev, 
               libimlib2-dev, python, python-support (>= 0.3), pkg-config, libasound2-dev, quilt
Standards-Version: 3.8.4
Vcs-Git: http://tcosproject.org/git/initramfs-tools-tcos.git
Vcs-Browser: http://tcosproject.org/cgit/cgit.cgi/initramfs-tools-tcos.git/
Homepage: http://www.tcosproject.org

Package: initramfs-tools-tcos
Architecture: all
Depends: tcos-core, 
         initramfs-tools (>= 0.40), 
         dhcp3-client | dhcp-client, 
         console-setup | console-data,
         squashfs-tools,
         pciutils,
         ltspfsd-core,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: mbr, 
            syslinux,
            mtools,
            acpid,
            pulseaudio,
            dropbear,
            fgetty,
            p910nd,
            genisoimage, 
            mknbi,
            twm,
            binutils,
            alsa-base, 
            xfonts-100dpi,
            debootstrap
Conflicts: tcosmonitor-server (<< 0.1.23.2), tcos (<< 0.89.26)
Description: Tools for generating a TCOS thin client bootable image
 This package contains tools to create a bootable initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 Next thin client configure some hardware, download extra tools 
 ( /usr compressed dir ) and connect to remote server using XMDCP, ssh -X, 
 FreeNX, rDesktop...

Package: tcos-core
Architecture: any
Depends: busybox | busybox-static , 
         xterm, 
         x11vnc, 
         xvnc4viewer | xvncviewer, 
         dosfstools, 
         cdparanoia,
         scrot, 
         eject, 
         netpipes-notimelimit, 
         libnotify-bin, 
         libasound2-plugins, 
         iproute, 
         xdg-utils, 
         pulseaudio-utils, 
         python, 
         python-utmp, 
         python-dbus, 
         python-ipaddr,
         python-ipy,
         libavcodec-unstripped-52,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc, 
            stunnel4, 
            openssl,
            ethtool
Conflicts: tcosmonitor-server (<< 0.1.23.2), initramfs-tools-tcos (<< 0.87.0)
XB-Python-Version: ${python:Versions}
Description: Common scripts and bins for generating a thin client bootable image: TCOS
 This package contain common scripts, libs , bins and dependencies to
 generate network images or be used in standalone hosts.


Package: tcos-standalone
Architecture: all
Depends: tcos-core (>= 0.88.0), 
         tcosmonitor-common, 
         ethtool, 
         openssl, 
         gksu, 
         python, 
         python-eggtrayicon | python-gnome2-extras, 
         python-gtk2, 
         python-glade2, 
         ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: tcos-core (<< 0.87.15), tcos, tcosconfig
XB-Python-Version: ${python:Versions}
Description: TCOS GUI configurator for standalone hosts
 This package contains a PyGTK+ gui configurator and dependencies
 to install and configure a standalone TCOS host.
  .
 With this package you can control installed clients from tcosmonitor.



Package: tcos
Architecture: all
Depends: initramfs-tools-tcos (>= 0.84.5), 
         python, 
         python-configobj, 
         ${misc:Depends}, ${shlibs:Depends}
Recommends: tcos-configurator, 
            dnsmasq | tcos-tftp-dhcp,
            tcosmonitor-server, tcosconfig, 
            ltspfs, 
           fuse-utils, 
            pulseaudio-esound-compat | esound
Suggests: tcos-usplash | tcos-splashy
XB-Python-Version: ${python:Versions}
Description: New thin client implementation
 This is a system for generating thin client hosts using initramfs.
 TCOS is a set of build tools to prepare an initramfs image to boot
 thin client terminals.
 TCOS support dhcp, sound (alsa & esound | pulseaudio ), ltspfs, 
 Xorg and more utils.
 .
 This metapackage install and recommends all required packages to make a 
 TCOS thin client server.


Package: tcos-tftp-dhcp
Architecture: all
Depends: atftpd, dhcp3-server | dhcp-server, ${misc:Depends}
Description: Metapackage to install TCOS with atftp and DHCP server
 This metapackage depends on atftp and a DHCP daemon to provide server 
 daemons needed to run a TCOS server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml
DEB_ISNATIVE=1
DEB_DESTDIR := $(CURDIR)/debian/tmp
DEB_DH_INSTALL_ARGS := --sourcedir=$(DEB_DESTDIR)
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)

DEB_ALL_PACKAGES = initramfs-tools-tcos tcos-core tcos-standalone tcos tcos-tftp-dhcp
